Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225894 - Merge Review: icon-naming-utils
Summary: Merge Review: icon-naming-utils
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:04 UTC by Nobody's working on this, feel free to take it
Modified: 2009-01-14 04:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-14 04:59:28 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:04:31 UTC
Fedora Merge Review: icon-naming-utils

http://cvs.fedora.redhat.com/viewcvs/devel/icon-naming-utils/
Initial Owner: mclasen@redhat.com

Comment 1 Matthias Clasen 2007-11-18 06:13:07 UTC
rpmlint says: 

[mclasen@localhost devel]$ rpmlint noarch/icon-naming-utils-0.8.6-1.fc9.noarch.rpm 
icon-naming-utils.noarch: W: devel-file-in-non-devel-package
/usr/share/pkgconfig/icon-naming-utils.pc

Which is ignorable, since this is a development tool

Comment 2 Parag AN(पराग) 2008-12-24 06:08:08 UTC
1) rpmlint output on SRPM and RPM
icon-naming-utils.src: I: checking
icon-naming-utils.src: W: no-%prep-section
icon-naming-utils.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 4)

icon-naming-utils.noarch: I: checking
icon-naming-utils.noarch: W: devel-file-in-non-devel-package /usr/share/pkgconfig/icon-naming-utils.pc
==> All Looks Ok

Though it looks bit odd to see icon-naming-utils.pc installed by this package.

2) License looks GPLv2 not GPL+
3) you can preserve timestamps using 
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

Comment 3 Parag AN(पराग) 2008-12-30 04:13:16 UTC
ping?

Comment 4 Michael Schwendt 2009-01-03 12:35:41 UTC
> Requires:       perl(XML::Simple)

Redundant. rpmbuild adds it already.

Comment 5 Matthias Clasen 2009-01-03 17:56:04 UTC
Feel free to remove it.

Comment 6 Parag AN(पराग) 2009-01-14 04:59:28 UTC
APPROVED new rawhide build http://koji.fedoraproject.org/koji/buildinfo?buildID=78414


Note You need to log in before you can comment on or make changes to this bug.